Index: branches/version-2_12-multilang/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- branches/version-2_12-multilang/data/class/pages/shopping/LC_Page_Shopping.php	(revision 22100)
+++ branches/version-2_12-multilang/data/class/pages/shopping/LC_Page_Shopping.php	(revision 22205)
@@ -287,6 +287,7 @@
         $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_LASTKANA'), 'order_kana01', STEXT_LEN, 'KVCa', array('EXIST_CHECK', 'KANA_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_FIRSTKANA'), 'order_kana02', STEXT_LEN, 'KVCa', array('EXIST_CHECK', 'KANA_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_ZIP01'), 'order_zip01', ZIP01_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'NUM_COUNT_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_ZIP02'), 'order_zip02', ZIP02_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'NUM_COUNT_CHECK'));
+//        $objFormParam->addParam(t('PARAM_LABEL_ZIP01'), 'order_zip01', ZIP01_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'NUM_COUNT_CHECK'));
+//        $objFormParam->addParam(t('PARAM_LABEL_ZIP02'), 'order_zip02', ZIP02_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'NUM_COUNT_CHECK'));
+        $objFormParam->addParam(t('PARAM_LABEL_ZIP'), 'order_zipcode', ZIPCODE_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_PREF'), 'order_pref', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ADDR1'), 'order_addr01', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
@@ -310,6 +311,7 @@
         $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_LASTKANA'), 'shipping_kana01', STEXT_LEN, 'KVCa', array('SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_CUSTOMER_FIRSTKANA'), 'shipping_kana02', STEXT_LEN, 'KVCa', array('SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_ZIP01'), 'shipping_zip01', ZIP01_LEN, 'n', array('NUM_CHECK', 'NUM_COUNT_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_ZIP02'), 'shipping_zip02', ZIP02_LEN, 'n', array('NUM_CHECK', 'NUM_COUNT_CHECK'));
+//        $objFormParam->addParam(t('PARAM_LABEL_ZIP01'), 'shipping_zip01', ZIP01_LEN, 'n', array('NUM_CHECK', 'NUM_COUNT_CHECK'));
+//        $objFormParam->addParam(t('PARAM_LABEL_ZIP02'), 'shipping_zip02', ZIP02_LEN, 'n', array('NUM_CHECK', 'NUM_COUNT_CHECK'));
+        $objFormParam->addParam(t('PARAM_LABEL_ZIP'), 'shipping_zipcode', ZIPCODE_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_PREF'), 'shipping_pref', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam(t('PARAM_LABEL_ADDR1'), 'shipping_addr01', MTEXT_LEN, 'KVa', array('SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
@@ -429,6 +431,7 @@
             $objErr->doFunc(array(t('PARAM_LABEL_CUSTOMER_LASTKANA'), 'shipping_kana01'), array('EXIST_CHECK'));
             $objErr->doFunc(array(t('PARAM_LABEL_CUSTOMER_FIRSTKANA'), 'shipping_kana02'), array('EXIST_CHECK'));
-            $objErr->doFunc(array(t('PARAM_LABEL_ZIP01'), 'shipping_zip01'), array('EXIST_CHECK'));
-            $objErr->doFunc(array(t('PARAM_LABEL_ZIP02'), 'shipping_zip02'), array('EXIST_CHECK'));
+//            $objErr->doFunc(array(t('PARAM_LABEL_ZIP01'), 'shipping_zip01'), array('EXIST_CHECK'));
+//            $objErr->doFunc(array(t('PARAM_LABEL_ZIP02'), 'shipping_zip02'), array('EXIST_CHECK'));
+            $objErr->doFunc(array(t('PARAM_LABEL_ZIP'), 'shipping_zipcode'), array('EXIST_CHECK'));
             $objErr->doFunc(array(t('PARAM_LABEL_PREF'), 'shipping_pref'), array('EXIST_CHECK'));
             $objErr->doFunc(array(t('PARAM_LABEL_ADDR1'), 'shipping_addr01'), array('EXIST_CHECK'));
@@ -442,7 +445,7 @@
         $objErr->doFunc(array(t('PARAM_LABEL_TEL'), 'order_tel01', 'order_tel02', 'order_tel03'), array('TEL_CHECK'));
         $objErr->doFunc(array(t('PARAM_LABEL_FAX'), 'order_fax01', 'order_fax02', 'order_fax03'), array('TEL_CHECK'));
-        $objErr->doFunc(array(t('PARAM_LABEL_ZIP'), 'order_zip01', 'order_zip02'), array('ALL_EXIST_CHECK'));
+//        $objErr->doFunc(array(t('PARAM_LABEL_ZIP'), 'order_zip01', 'order_zip02'), array('ALL_EXIST_CHECK'));
         $objErr->doFunc(array(t('PARAM_LABEL_TEL'), 'shipping_tel01', 'shipping_tel02', 'shipping_tel03'), array('TEL_CHECK'));
-        $objErr->doFunc(array(t('PARAM_LABEL_ZIP'), 'shipping_zip01', 'shipping_zip02'), array('ALL_EXIST_CHECK'));
+//        $objErr->doFunc(array(t('PARAM_LABEL_ZIP'), 'shipping_zip01', 'shipping_zip02'), array('ALL_EXIST_CHECK'));
         $objErr->doFunc(array(t('PARAM_LABEL_BIRTHDAY'), 'year', 'month', 'day'), array('CHECK_BIRTHDAY'));
         $objErr->doFunc(array(t('PARAM_LABEL_EMAIL'), t('PARAM_LABEL_EMAIL_CONFIRM'), 'order_email', 'order_email02'), array('EQUAL_CHECK'));
